package ims;

import java.awt.*;
import java.awt.event.*; 
import java.util.*;

//IMS Contribute Class
public class imsContribute extends Any{

  public imsLangString role;
  public imsVCard[] vcards;
  public imsDateTime datetime;
  
  public imsContribute(imsLangString aRole, imsVCard[] aVCards, imsDateTime aDateTime) {
    role = aRole;      
    vcards = aVCards; 
    datetime = aDateTime;
  }

  public String imsWrite2XMLString() { 
    StringBuffer sb = new StringBuffer("<CONTRIBUTE>\n");
    sb.append("<ROLE>\n");
    sb.append(role.imsWrite2XMLString());
    sb.append("</ROLE>\n");

    for(int i=0; i < vcards.length; i++){
      sb.append("<CENTITY>\n");
      sb.append(vcards[i].imsWrite2XMLString());
      sb.append("</CENTITY>\n");
    }
      
    sb.append(datetime.imsWrite2XMLString());
    sb.append("</CONTRIBUTE>\n");
    return(sb.toString());
  }
}
